Index Page trace_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble trace_c ( ConstSpiceDouble  matrix[3][3] )

#### Abstract

        Return the trace of a 3x3 matrix.

#### Required_Reading

       None.

#### Keywords

        MATRIX

#### Brief_I/O

        VARIABLE  I/O  DESCRIPTION
        --------  ---  --------------------------------------------------
        matrix     I     3x3 matrix of double precision numbers.
        trace      O     The trace of matrix.

#### Detailed_Input

        matrix  is a double precision 3x3 matrix.

#### Detailed_Output

        trace   is the trace of matrix, i.e. it is the sum of the
                diagonal elements of matrix.

#### Parameters

       None.

#### Exceptions

        Error free.

#### Files

        None

#### Particulars

        trace_c simply executes in C code the following loop:

        trace_c = Summation from i = 1 to 3 of matrix[i][i]

        This functions implements no error detection.

#### Examples

                              | 3   5   7 |
        Suppose that matrix = | 0  -2   8 |  , then
                              | 4   0  -1 |

        trace_c (matrix) = 0.  (which is the sum of 3, -2 and -1).

#### Restrictions

        No checking is performed to guard against floating point overflow
        or underflow.  This routine should probably not be used if the
        input matrix is expected to have large double precision numbers
        along the diagonal.

#### Literature_References

        None

#### Author_and_Institution

        W.L. Taber      (JPL)
        E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.0.0, 29-JUN-1999

#### Index_Entries

       trace of a 3x3_matrix

#### Link to routine trace_c source file trace_c.c

    Wed Apr  5 17:54:45 2017